Subject: RE: [lemonade] MMS URI schemes I-D posted

From: "Eric Burger" <[email-masked]>
Date: Fri, 17 Oct 2003 06:10:47 -0400

I would tighten-up the abstract.  The difference between mmsto: and mms: was not clear to me until I got to Section 4.1.

The mms: scheme makes sense to me, as it directs interaction over the MM1 interface.  However, what is the argument for mmsto: over mailto:?  Isn't the idea for 3GPP to use Internet standards?  Should there be a differentiation between a *user* specifying SMTP vs. MMS?  I would think that the *user* cares about sending a message, irrespective of endpoint transfer method.  For example, I would not expect a *sending* user to specify IMAP vs. POP access for the receiving user.

> -----Original Message-----
> From: Ted Wugofski [mailto:[email-masked]]
> Sent: Mon, September 22, 2003 5:11 PM
> To: [email-masked]
> Subject: [lemonade] MMS URI schemes I-D posted
> 
> 
> I have recently posted an I-D pertaining to Multimedia 
> Messaging Service 
> (MMS) URI schemes.  Please see:
> 
> http://www.ietf.org/internet-drafts/draft-wugofski-mms-uri-scheme-00.txt
[snip]

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Ted Wugofski <[email-masked]>
Date: Fri, 17 Oct 2003 11:22:33 -0500

Thanks for the feedback.

> However, what is the argument for mmsto: over mailto:? ... >  I would
> think that the *user* cares about sending a message, irrespective of
> endpoint transfer method

1. mailto: requires RFC2822 compliant addresses, whereas MMS supports 
additional non-RFC2822 addresses (phone numbers, short codes, ...)

2. MMS has a different, but intersecting, set of value header name-value 
pairs.  Therefore, the hname/hvalue definition within mailto: is too 
constrained.

3. MMS is more than a transfer method (ala SMTP), it also has 
constraints on the content types (among other things) that can be sent. 
  Hence, an MMS composer user agent is almost certainly different than 
an SMTP/Internet-Mail composer user agent.

4. MMS charging may be different than Internet Mail charging.  For 
example, premium service providers may get a revenue share for premium 
MMS messages sent from the handset.  So the author of the "mmsto" may 
have a business interest in ensuring that the MMS transfer method be used.

 > Isn't the idea for 3GPP to use Internet standards?

I share your concern, but thats beyond the scope of the I-D to address. 
  MMS exists and I am simply trying to provide a URI that allows 
content/service providers to leverage that capability.

I do plan to make the above comments more clear in the next draft.  I 
had a similar discussion with Larry Masinter on this topic.

Eric Burger wrote:

> I would tighten-up the abstract.  The difference between mmsto: and 
> mms: was not clear to me until I got to Section 4.1.
> 
> The mms: scheme makes sense to me, as it directs interaction over the
>  MM1 interface.  However, what is the argument for mmsto: over 
> mailto:?  Isn't the idea for 3GPP to use Internet standards?  Should
>  there be a differentiation between a *user* specifying SMTP vs. MMS?
>  I would think that the *user* cares about sending a message, 
> irrespective of endpoint transfer method.  For example, I would not 
> expect a *sending* user to specify IMAP vs. POP access for the 
> receiving user.
> 
> 
>> -----Original Message----- From: Ted Wugofski 
>> [mailto:[email-masked]] Sent: Mon, September 22, 2003 
>> 5:11 PM To: [email-masked] Subject: [lemonade] MMS URI schemes 
>> I-D posted
>> 
>> 
>> I have recently posted an I-D pertaining to Multimedia Messaging 
>> Service (MMS) URI schemes.  Please see:
>> 
> _______________________________________________ lemonade mailing list
>  [email-masked] https://www1.ietf.org/mailman/listinfo/lemonade
> 

-- 

Ted Wugofski
CTO Office
Openwave
+1 817 658 6195 (m)
+1 817 737 4533 (o)
[email-masked]

---

From: "Madan Ganesh Velayudham" <[email-masked]>
Date: Fri, 17 Oct 2003 23:22:33 +0530

> an SMTP/Internet-Mail composer user agent.

	How would the MMS is transferred ? Is it via existing SMTP ? 
	I'm assume not. Pls clarify.

	Many service providers provide a proxy job of sending emails 
	to handsets as SMS, ie., converting the RFC 822 standard
messages 
	to 3GPP TS23040V5.6.1 standard message in order to compatible to
Handsets.
	Can we have something like that ?

	+MG

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ted Wugofski
> Sent: Friday, October 17, 2003 9:53 PM
> To: Eric Burger
> Cc: [email-masked]
> Subject: Re: [lemonade] MMS URI schemes I-D posted
> 
> 
> Thanks for the feedback.
> 
> > However, what is the argument for mmsto: over mailto:? ... 
> >  I would 
> > MM1 interface.  However, what is the argument for mmsto: 
> over mailto:?  
> > Isn't the idea for 3GPP to use Internet standards?  Should  
> there be a 
> > differentiation between a *user* specifying SMTP vs. MMS?  I would 
> > endpoint transfer method.  For example, I would not expect 
> a *sending* 
> > user to specify IMAP vs. POP access for the receiving user.
> > 
> > 
> http://www.ietf.org/internet-drafts/draft->
wugofski-mms-uri-scheme-00.
> >> txt

	**************************
	Madan Ganesh Velayudham
	[email-masked]	
	Hewlett-Packard, India

---

From: Ted Wugofski <[email-masked]>
Date: Fri, 17 Oct 2003 13:20:56 -0500

> How would the MMS is transferred ? Is it via existing SMTP ? I'm
> assume not. Pls clarify.

The MMS message is transferred using the MMS protocol per the 3GPP & 
3GPP2 specifications.  I will make that clearer in the I-D.

> Many service providers provide a proxy job of sending emails to
> handsets as SMS, ie., converting the RFC 822 standard messages to
> 3GPP TS23040V5.6.1 standard message in order to compatible to 
> Handsets. Can we have something like that ?

I don't understand your question.  Can you give me the use case you are 
thinking about?

/ted

Madan Ganesh Velayudham wrote:

>>>think that the *user* cares about sending a message, 
>>
>>irrespective of 
>>
>>>endpoint transfer method
>>
>>>The mms: scheme makes sense to me, as it directs 
>>
>>interaction over the  
>>
>>>think that the *user* cares about sending a message, 
>>
>>irrespective of 
>>

-- 

Ted Wugofski
CTO Office
Openwave
+1 817 658 6195 (m)
+1 817 737 4533 (o)

---

From: "Madan Ganesh Velayudham" <[email-masked]>
Date: Fri, 17 Oct 2003 23:59:24 +0530

> 3GPP2 specifications.  I will make that clearer in the I-D.

	Fine.

> > handsets as SMS, ie., converting the RFC 822 standard 
> messages to 3GPP 
> > TS23040V5.6.1 standard message in order to compatible to 
> Handsets. Can 

	The mobiles are cabable of recognizing, MT SMS: MO SMS: Headers.

	They cannont understand From: To: Headers.
	
	So, I believe the Service providers do the converion of 
		From to MO SMS:
			&
		To: MT SMS: Headers.

	Can we enhance the draft or have a separate draft for 
	sending MMS thru SMTP?

	+ MG

> Sent: Friday, October 17, 2003 11:51 PM
> To: Madan Ganesh Velayudham
> Cc: [email-masked]
> > handsets as SMS, ie., converting the RFC 822 standard 
> messages to 3GPP 
> > TS23040V5.6.1 standard message in order to compatible to 
> Handsets. Can 
> > 	to handsets as SMS, ie., converting the RFC 822 
> standard messages

---

From: Ted Wugofski <[email-masked]>
Date: Fri, 17 Oct 2003 13:51:03 -0500

The 3GPP & 3GPP2 architectures have a place for a bridge between the MMS 
world and SMTP world, its just currently underspecified.

There is work underway in 3GPP2 to deal with bridging between MMS and 
SMTP.  I can't talk about the OMA activities due to confidentiality 
reasons.

The open question is whether the header mapping will be defined in the 
3GPP, 3GPP2, or IETF.  I don't know.  But I think I know who is doing 
the work, so I will ask him.

Regardless, I think SMTP<>MMS mapping is fundamentally different than a 
URI scheme.  Needs to be done, but a different work item.

/ted

Madan Ganesh Velayudham wrote:

>>Handsets. Can 
>>>we have something like that ?
>>
>>Handsets. Can 
>>>we have something like that ?
>>
>>>>1. mailto: requires RFC2822 compliant addresses, whereas 
>>
>>MMS supports
>>
>>>>pairs.  Therefore, the hname/hvalue definition within 
>>
>>mailto: is too 
>>
>>>>constrained.
>>>>
>>>>MMS messages sent from the handset.  So the author of the 
>>
>>"mmsto" may 
>>
>>>>I do plan to make the above comments more clear in the next 
>>
>>draft.  I
>>

-- 

Ted Wugofski
CTO Office
Openwave
+1 817 658 6195 (m)
+1 817 737 4533 (o)

---

From: "Madan Ganesh Velayudham" <[email-masked]>
Date: Sat, 18 Oct 2003 15:31:35 +0530

Thanks for your thoughts.

> SMTP.  I can't talk about the OMA activities due to confidentiality 

	Ok.
> the work, so I will ask him.
	Pls let me know.

> URI scheme.  Needs to be done, but a different work item.

	Ok. I shall plan to take up this.
	
	+MG

> >>>>constraints on the content types (among other things) that can be 
> >>>>sent.  Hence, an MMS composer user agent is almost certainly
> >>>>different than 
> >>>>From: [email-masked] [mailto:[email-masked]] On 
> >>>>Behalf Of Ted Wugofski
> >>>>>However, what is the argument for mmsto: over mailto:? 
> ... I would
> >>>>2. MMS has a different, but intersecting, set of value header 
> >>>>name-value pairs.  Therefore, the hname/hvalue definition within
> >>
> >>mailto: is too
> >>
> >>>>constrained.
> >>>>
> >>>>constraints on the content types (among other things) that can be 
> >>>>sent.  Hence, an MMS composer user agent is almost certainly
> >>>>different than 
> >>>>example, premium service providers may get a revenue share for 
> >>>>premium MMS messages sent from the handset.  So the author of the
> >>
> >>"mmsto" may
> >>
> >>>>I share your concern, but thats beyond the scope of the I-D to 
> >>>>address.  MMS exists and I am simply trying to provide a URI that 
> >>>>allows content/service providers to leverage that capability.
> >>>>

---

From: "Madan Ganesh Velayudham" <[email-masked]>
Date: Sat, 18 Oct 2003 19:59:40 +0530

> 	Ok. I shall plan to take up this.

	Looks like already there ...	
	
http://www.ietf.org/internet-drafts/draft-gellens-lemonade-mms-mapping-0
0.txt

	+MG

> [mailto:[email-masked]] On Behalf Of Madan Ganesh Velayudham
> Sent: Saturday, October 18, 2003 3:32 PM
> To: 'Ted Wugofski'
> Cc: [email-masked]
> Subject: RE: [lemonade] MMS URI schemes I-D posted
> 
> 
> 	
> > >>I don't understand your question.  Can you give me the 
> use case you 
> > >>are thinking about?
> > > 
> > > 
> > >>I don't understand your question.  Can you give me the 
> use case you 
> > >>are thinking about?
> > >>
> > >>/ted
> > >>
> > >>
> > >>
> > >>>>have a business interest in ensuring that the MMS 
> transfer method 
> > >>>>be used.
> > >>>>
> > >>>>

---

From: Ted Wugofski <[email-masked]>
Date: Sat, 18 Oct 2003 12:53:26 -0500

thats who I was refering to.. so good!

Madan Ganesh Velayudham wrote:

>>>There is work underway in 3GPP2 to deal with bridging 
>>
>>between MMS and
>>
>>>3GPP, 3GPP2, or IETF.  I don't know.  But I think I know 
>>
>>who is doing 
>>
>>>>>The MMS message is transferred using the MMS protocol per 
>>
>>the 3GPP & 
>>
>>>>>The MMS message is transferred using the MMS protocol per 
>>
>>the 3GPP & 
>>
>>>>>>>constraints on the content types (among other things) 
>>
>>that can be 
>>
>>>>>>	to 3GPP TS23040V5.6.1 standard message in order to
>>>
>>>compatible to
>>>
>>>>>>Handsets.
>>[mailto:[email-masked]] On
>>
>>>>>>>Behalf Of Ted Wugofski
>>>>>>>additional non-RFC2822 addresses (phone numbers, short 
>>
>>codes, ...)
>>
>>>>>>>constraints on the content types (among other things) 
>>
>>that can be 
>>
>>>>>>>4. MMS charging may be different than Internet Mail
>>>
>>>charging.  For
>>>
>>>>>>>premium MMS messages sent from the handset.  So the 
>>
>>author of the
>>
>>>>>"mmsto" may
>>>>>
>>>>>
>>>>>>>address.  MMS exists and I am simply trying to provide 
>>
>>a URI that 
>>
>>>>>>>>I would tighten-up the abstract.  The difference between
>>>
>>>mmsto: and
>>>
>>>>>>>>differentiation between a *user* specifying SMTP vs.
>>>
>>>MMS?  I would
>>>
>>>>>>>>>[mailto:[email-masked]] Sent: Mon, September
>>>
>>>22, 2003
>>>
>>>>>>>>>5:11 PM To: [email-masked] Subject: [lemonade] MMS
>>>
>>>URI schemes
>>>
>>>>>>>>>I-D posted
>>>>>>>>>
>>>>>>>>>
>>>>>>>>>I have recently posted an I-D pertaining to 
>>
>>Multimedia Messaging 
>>

-- 

Ted Wugofski
CTO Office
Openwave
+1 817 658 6195 (m)
+1 817 737 4533 (o)